/*
 * Copyright @ 2006-2009 by The Jxva Framework Foundation
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.jxva.graph;

/**
 *
 * @author  The Jxva Framework Foundation
 * @since   1.0
 * @version 2008-11-27 14:24:09 by Jxva
 */
public class SizeArgumentException extends GraphException{

	private static final long serialVersionUID = -417290730465239571L;
	
	public SizeArgumentException(){
		super();
	}
	
	public SizeArgumentException(Throwable root) {
		super(root);
	}

	public SizeArgumentException(String string, Throwable root) {
		super(string, root);
	}

	public SizeArgumentException(String s) {
		super("Argument "+s+" must be greater zero.");
	}
}
