/*
 * Copyright @ 2006-2009 by The Jxva Framework Foundation
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */
package com.jxva.tag;

import com.jxva.util.DateUtil;
import com.jxva.util.HtmlUtil;

public abstract class Function {
	
	public static String clear(String value) {
		return HtmlUtil.clear(value);
	}
	
	public static String toShortEnWeek(Object week){
		return DateUtil.SHORT_EN_WEEK[Integer.valueOf(week.toString())];
	}
	
	public static String toEnWeek(Object week){
		return DateUtil.EN_WEEK[Integer.valueOf(week.toString())];
	}
	
	public static String toShortEnMonth(Object month){
		return DateUtil.SHORT_EN_WEEK[Integer.valueOf(month.toString())];
	}
	
	public static String toEnMonth(Object month){
		return DateUtil.EN_MONTH[Integer.valueOf(month.toString())];
	}
}
