
/*
 * Copyright @ 2006-2009 by The Jxva Framework Foundation
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */
package com.jxva.tag;

import javax.servlet.jsp.JspException;

/**
 * <j:unpresent name="var|obj">content</j:unpresent>
 * 
 * @author  The Jxva Framework Foundation
 * @since 2006-12-16
 */

public class UnPresentTag extends PresentTag {

	private static final long serialVersionUID = 1L;

	public int doStartTag() throws JspException {
		return super.doStartTag()==SKIP_BODY?EVAL_BODY_INCLUDE:SKIP_BODY;
	}
}
