/*
 * Copyright @ 2006-2009 by The Jxva Framework Foundation
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */
package org.jxva.dao.model;

import java.io.Serializable;
import com.jxva.dao.annotation.Table;

/**
 * 
 * @author  The Jxva Framework Foundation
 * @since   1.0
 * @version 2009-04-02 14:48:59 by Automatic Generate Toolkit
 */
@Table(name="tbl_mysql",increment="null",primaryKeys={"a1"})
public class Mysql implements Serializable{

	private static final long serialVersionUID = 1L;
	private java.lang.Short a1;
	private java.lang.Short a2;
	private java.lang.Integer a3;
	private java.lang.Integer a4;
	private java.lang.Long a5;
	private java.lang.Float a6;
	private java.lang.Double a7;
	private java.math.BigDecimal a8;
	private java.sql.Date a9;
	private java.sql.Timestamp a10;
	private java.sql.Timestamp a11;
	private java.sql.Time a12;
	private java.sql.Date a13;
	private java.lang.Character a14;
	private java.lang.String a15;
	private java.io.InputStream a16;
	private java.io.InputStream a17;
	private java.io.InputStream a18;
	private java.io.InputStream a19;
	private java.lang.String a20;
	private java.lang.String a21;
	private java.lang.String a22;
	private java.lang.String a23;
	private java.lang.Character a24;
	private java.lang.Character a25;
	private java.io.InputStream a26;
	private java.io.InputStream a27;
	private java.io.InputStream a28;
	private java.lang.Boolean a29;
	private java.lang.Boolean a30;

	public java.lang.Short getA1(){
		return this.a1;
	}
	public void setA1(java.lang.Short a1){
		this.a1=a1;
	}

	public java.lang.Short getA2(){
		return this.a2;
	}
	public void setA2(java.lang.Short a2){
		this.a2=a2;
	}

	public java.lang.Integer getA3(){
		return this.a3;
	}
	public void setA3(java.lang.Integer a3){
		this.a3=a3;
	}

	public java.lang.Integer getA4(){
		return this.a4;
	}
	public void setA4(java.lang.Integer a4){
		this.a4=a4;
	}

	public java.lang.Long getA5(){
		return this.a5;
	}
	public void setA5(java.lang.Long a5){
		this.a5=a5;
	}

	public java.lang.Float getA6(){
		return this.a6;
	}
	public void setA6(java.lang.Float a6){
		this.a6=a6;
	}

	public java.lang.Double getA7(){
		return this.a7;
	}
	public void setA7(java.lang.Double a7){
		this.a7=a7;
	}

	public java.math.BigDecimal getA8(){
		return this.a8;
	}
	public void setA8(java.math.BigDecimal a8){
		this.a8=a8;
	}

	public java.sql.Date getA9(){
		return this.a9;
	}
	public void setA9(java.sql.Date a9){
		this.a9=a9;
	}

	public java.sql.Timestamp getA10(){
		return this.a10;
	}
	public void setA10(java.sql.Timestamp a10){
		this.a10=a10;
	}

	public java.sql.Timestamp getA11(){
		return this.a11;
	}
	public void setA11(java.sql.Timestamp a11){
		this.a11=a11;
	}

	public java.sql.Time getA12(){
		return this.a12;
	}
	public void setA12(java.sql.Time a12){
		this.a12=a12;
	}

	public java.sql.Date getA13(){
		return this.a13;
	}
	public void setA13(java.sql.Date a13){
		this.a13=a13;
	}

	public java.lang.Character getA14(){
		return this.a14;
	}
	public void setA14(java.lang.Character a14){
		this.a14=a14;
	}

	public java.lang.String getA15(){
		return this.a15;
	}
	public void setA15(java.lang.String a15){
		this.a15=a15;
	}

	public java.io.InputStream getA16(){
		return this.a16;
	}
	public void setA16(java.io.InputStream a16){
		this.a16=a16;
	}

	public java.io.InputStream getA17(){
		return this.a17;
	}
	public void setA17(java.io.InputStream a17){
		this.a17=a17;
	}

	public java.io.InputStream getA18(){
		return this.a18;
	}
	public void setA18(java.io.InputStream a18){
		this.a18=a18;
	}

	public java.io.InputStream getA19(){
		return this.a19;
	}
	public void setA19(java.io.InputStream a19){
		this.a19=a19;
	}

	public java.lang.String getA20(){
		return this.a20;
	}
	public void setA20(java.lang.String a20){
		this.a20=a20;
	}

	public java.lang.String getA21(){
		return this.a21;
	}
	public void setA21(java.lang.String a21){
		this.a21=a21;
	}

	public java.lang.String getA22(){
		return this.a22;
	}
	public void setA22(java.lang.String a22){
		this.a22=a22;
	}

	public java.lang.String getA23(){
		return this.a23;
	}
	public void setA23(java.lang.String a23){
		this.a23=a23;
	}

	public java.lang.Character getA24(){
		return this.a24;
	}
	public void setA24(java.lang.Character a24){
		this.a24=a24;
	}

	public java.lang.Character getA25(){
		return this.a25;
	}
	public void setA25(java.lang.Character a25){
		this.a25=a25;
	}

	public java.io.InputStream getA26(){
		return this.a26;
	}
	public void setA26(java.io.InputStream a26){
		this.a26=a26;
	}

	public java.io.InputStream getA27(){
		return this.a27;
	}
	public void setA27(java.io.InputStream a27){
		this.a27=a27;
	}

	public java.io.InputStream getA28(){
		return this.a28;
	}
	public void setA28(java.io.InputStream a28){
		this.a28=a28;
	}

	public java.lang.Boolean getA29(){
		return this.a29;
	}
	public void setA29(java.lang.Boolean a29){
		this.a29=a29;
	}

	public java.lang.Boolean getA30(){
		return this.a30;
	}
	public void setA30(java.lang.Boolean a30){
		this.a30=a30;
	}

	public boolean equals(Object obj){
		return super.equals(obj);
	}

	public int hashCode(){
		return super.hashCode();
	}

	public String toString(){
		StringBuffer sb=new StringBuffer();
		sb.append("[ ");
		sb.append("a1=").append(a1).append(',');
		sb.append("a2=").append(a2).append(',');
		sb.append("a3=").append(a3).append(',');
		sb.append("a4=").append(a4).append(',');
		sb.append("a5=").append(a5).append(',');
		sb.append("a6=").append(a6).append(',');
		sb.append("a7=").append(a7).append(',');
		sb.append("a8=").append(a8).append(',');
		sb.append("a9=").append(a9).append(',');
		sb.append("a10=").append(a10).append(',');
		sb.append("a11=").append(a11).append(',');
		sb.append("a12=").append(a12).append(',');
		sb.append("a13=").append(a13).append(',');
		sb.append("a14=").append(a14).append(',');
		sb.append("a15=").append(a15).append(',');
		sb.append("a16=").append(a16).append(',');
		sb.append("a17=").append(a17).append(',');
		sb.append("a18=").append(a18).append(',');
		sb.append("a19=").append(a19).append(',');
		sb.append("a20=").append(a20).append(',');
		sb.append("a21=").append(a21).append(',');
		sb.append("a22=").append(a22).append(',');
		sb.append("a23=").append(a23).append(',');
		sb.append("a24=").append(a24).append(',');
		sb.append("a25=").append(a25).append(',');
		sb.append("a26=").append(a26).append(',');
		sb.append("a27=").append(a27).append(',');
		sb.append("a28=").append(a28).append(',');
		sb.append("a29=").append(a29).append(',');
		sb.append("a30=").append(a30).append(" ]");
		return sb.toString();
	}

}
