/*
 * Copyright @ 2006-2009 by The Jxva Framework Foundation
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.jxva.mvc.upload;

/**
 * 文件上传返回的数据
 * @author  The Jxva Framework
 * @since   1.0
 * @version 2008-11-27 10:23:21 by Jxva
 */
public class UploadMsg {
	public static final int RESULT_SUCCESS=0;//成功
	public static final int RESULT_TOO_LARGE=1;//文件太大
	public static final int RESULT_EMPTY=2;//内容为空
	public static final int RESULT_BAD_FORMAT=3;//格式不正确,不可解析
	public static final int RESULT_EXCEPTION=4;//系统异常
	
	public boolean isSuccessful;//是否成功
	public int result;//上传处理结果
	public Exception e;//系统抛出的异常
	public int allowMega;//最大允许的文件大小
}